html {
    height: 100%;
}

body {
    height: 100%;
    position: relative;
}

header{
    height: 25%;
}

main {
    height: 75%;
    position: relative;
}

img{  
    display:flex;
    margin:0 auto;
}
  
a{
    color: black;
    text-decoration: none;
}

.footer {
    background: #333;
    color: #fff;
    padding: 8px;
    text-align: center;
    position: relative;
}

.footer .social [class^="icon-"] {
    display: inline-block;
    color: #333;
    text-decoration: none;
    font-size: 30px;
    padding: 10px;
    background: white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    line-height: 40px;
    padding: 5px;
}